BSD-FAQ-it
Indietro | Capitolo 14. Post Office Protocol | Avanti

# 14.2. Qpopper

Qpopper è uno dai tanti server pop3 oggi disponibili sul mercato, alla URLs http://www.eudora.com/qpopper/ possiamo trovare molte notizie ed informazioni a riguardo, ad ogni buon conto c'è da dire che Qpopper è uno dei server più utilizzati in ambiente internet perchè supporta gli standard ed include diverse features addizionali. Si tratta principalmente di un server Post Office Protocol che utilizza tutti gli standard UNIX® e supporta appieno alcuni dei Delivery Agent più famosi come Sendmail e Smail. Qpopper non fa parte di FreeBSD ma è possibile utilizzare il sistema dei ports per installarlo e configurarlo

    [root@relay root]# ls /usr/ports/mail/qpopper/
    total 34
    drwxr-xr-x    4 root  wheel   512 Aug 13 07:54 ./
    drwxr-xr-x  354 root  wheel  7168 Aug 23 04:22 ../
    -rw-r--r--    1 root  wheel  7857 Jun 21 12:03 Makefile
    -rw-r--r--    1 root  wheel   137 Mar 15 03:03 distinfo
    drwxr-xr-x    2 root  wheel   512 Jun 21 12:03 files/
    -rw-r--r--    1 root  wheel   206 May 23  2000 pkg-descr
    -rw-r--r--    1 root  wheel   958 Oct  5  2001 pkg-install
    -rw-r--r--    1 root  wheel   304 Mar 30  2001 pkg-message
    -rw-r--r--    1 root  wheel   590 Jun  5  2002 pkg-plist
    -rw-r--r--    1 root  wheel   353 Oct 10  1997 pkg-req
    drwxr-xr-x    2 root  wheel   512 Jun 21 12:03 scripts/
    ........
    [root@relay root]# cd /usr/ports/mail/qpopper/
    [root@relay qpopper]# make install

Procediamo all'installazione del ports di Qpopper come da manuale ed atteniamoci scrupolosamente alle informazioni di installazione che sono incluse nel file pkg-message

    [root@relay qpopper]# more pkg-message
    ****************************************************************************
    To enable the qpopper-daemon, add the following line to your /etc/inetd.conf:
       pop3 stream tcp nowait root /usr/local/libexec/qpopper qpopper -s
    ****************************************************************************
    ........
    [root@relay qpopper]# cd /root
    [root@relay root]# killall inetd
    [root@relay root]# inetd

Dopo aver modificato il file /etc/inetd.conf sarà sufficente bloccare e far ripartire il superdemone inetd, gli utenti potranno così leggere la propria posta utilizzando un qualsiasi MUA (Eudora, OutLook, Pine...) che supporti il protocollo pop3.

Indietro | Partenza | Avanti
Post Office Protocol | Risali | Note per l'amministratore